
# profile.debian.sh

# If vim does not set syntax on automatically, give these commands manually:

#vim: syntax on
#vim: set ft=sh

# Yes, I am pervert: I use both (X)Emacs and Vim.

#echo profile.debian.sh

# NOTE!
# linux_logo will not work right, if you do not have a file ~/.linux_logo
# Put this to that file: -L debian_banner
# If linux_logo is some older version, use this instead: -L 3
# This way you get a list of available logos: linux_logo -L list

# You may also need to compile linux_logo yourself. It goes like this:
# You need files: linuxlogo_5.03-4.diff.gz linuxlogo_5.03-4.dsc linuxlogo_5.03.orig.tar.gz
# Run these commands:
# dpkg-source -x linuxlogo_5.03-4.dsc
# cd linuxlogo-5.03
# fakeroot debian/rules binary
# After compilation it probably fails to create the final Debian-package.
# Never mind: Just copy that linux_logo -binary to your ~/bin/ and that's it!

PROFILE_DEBIAN="1"
export PROFILE_DEBIAN

OLDPATH="$PATH"
PATH="${HOME}/scripts:${HOME}/bin:${PATH}:/usr/bin/X11:/usr/X11R6/bin:/usr/local/scripts"
export PATH

# Not very useful in Red Hat Linux
cddoc ()
{
    if [ -z "$1" ]
    then
        return 1
    fi

    if [ -d /usr/share/doc/$2 ]
    then
        cd /usr/share/doc/$1
    elif [ -d /usr/doc/$1 ]
    then
        cd /usr/doc/$1
    else
        return 1
    fi
}

galeondoc ()
{
    if [ -z "$1" ]
    then
        return 1
    fi

    if [ -d /usr/share/doc/$1 ]
    then
        galeon /usr/share/doc/$1
    elif [ -d /usr/doc/$1 ]
    then
        galeon /usr/doc/$1
    else
        return 1
    fi
}


if tty > /dev/null 2>&1
then
    case $- in *i*)
        # Add here all commands, that must be run under interactive shells only
        # (both login- and non-login)


        R="`cat /etc/debian_version`"
        #Some day we will have "Debian GNU/Hurd", "Debian GNU/FreeBSD", "Debian GNU/NetBSD" and "Debian GNU/OpenBSD" I hope :-)
        DEBIAN_OS="`uname -s`"

        eval `resize`

        if test "$LINES" -le 26
        then
            case "$TERM" in

                *xterm*|*rxvt*|gnome-terminal|*onsole|zvt|dterm|kterm|Eterm|zterm|screen*)
                debian-issue1.sh
                #linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                ;;

                vt100)
                if test "$TERM_PROGRAM" = "Apple_Terminal"
                then
                    debian-issue1.sh
                    #linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                    linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                else
                    debian-issue1.sh
                    #linux_logo -a -t "Debian GNU/${DEBIAN_OS} ${R}." -g -b -u -y -n -F '#E Kernel #V #C.\n#RB RAM. #N #M #X #T Processor#S, #B Bogomips Total\n#H #U, #L'
                    linux_logo -a -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                fi
                ;;

                linux*)
                if vt-is-UTF8 --quiet 2> /dev/null
                then
                    debian-issue1.sh
                    #linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                    linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                else
                    case "`date '+%m'`" in
                        11|12)
                        W2L_SCR="03"
                        Welcome2L -scr${W2L_SCR} -private -msg"Debian GNU/${DEBIAN_OS} ${R}"
                        #linux_logo -L 3 -g -c -u -y -F 'Kernel compiled #C\n #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                        linux_logo -g -c -u -y -F '#H Kernel compiled #C\n #N #M #X #T #P, #B Bogomips Total\n#U, #L' 
                        ;;

                        *)
                        W2L_SCR="01"
                        Welcome2L -scr${W2L_SCR} -private -msg"Debian GNU/${DEBIAN_OS} ${R}"
                        #linux_logo -L 3 -g -c -u -y -F 'Kernel compiled #C\n #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                        linux_logo -g -c -u -y -F '#H Kernel compiled #C\n #N #M #X #T #P, #B Bogomips Total\n#U, #L' 
                    esac
                fi
                ;;

                *)
                debian-issue1.sh
                #linux_logo -a -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                linux_logo -a -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
            esac
        elif test "$LINES" -gt 26
        then
            case "$TERM" in
                *xterm*|rxvt*|gnome-terminal|*onsole|zvt|dterm|kterm|Eterm|zterm|screen*)
                echo ""
                debian-issue2.sh
                echo ""
                #linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                echo ""
                ;;

                vt100)
                if test "$TERM_PROGRAM" = "Apple_Terminal"
                then
                    echo ""
                    debian-issue2.sh
                    echo ""
                    #linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                    linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                    echo ""
                else
                    echo ""
                    debian-issue2.sh
                    echo ""
                    #linux_logo -a -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                    linux_logo -a -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                    echo ""
                fi
                ;;

                linux*)
                if vt-is-UTF8 --quiet 2> /dev/null
                then
                    echo ""
                    debian-issue2.sh
                    echo ""
                    #linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                    linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                    echo ""
                else
                    case "`date '+%m'`" in
                        11|12)
                        W2L_SCR="03"
                        Welcome2L -scr${W2L_SCR} -private -msg"Debian GNU/${DEBIAN_OS} ${R}"
                        #linux_logo -L 3 -g -c -u -y -F 'Kernel compiled #C\n#N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                        linux_logo -g -c -u -y -F '#H Kernel compiled #C\n #N #M #X #T #P, #B Bogomips Total\n#U, #L' 
                        ;;

                        *)
                        W2L_SCR="01"
                        Welcome2L -scr${W2L_SCR} -private -msg"Debian GNU/${DEBIAN_OS} ${R}"
                        #linux_logo -L 3 -g -c -u -y -F 'Kernel compiled #C\n#N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                        linux_logo -g -c -u -y -F '#H Kernel compiled #C\n #N #M #X #T #P, #B Bogomips Total\n#U, #L' 
                    esac
                fi
                ;;

                *)
                echo ""
                debian-issue2.sh
                echo ""
                #linux_logo -a -t "Debian GNU/${DEBIAN_OS} ${R}." -L 3 -g -c -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                linux_logo -t "Debian GNU/${DEBIAN_OS} ${R}." -g -c -u -y -F '#E #H Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                echo ""

            esac
        fi

    esac
fi

PATH="${OLDPATH}"
export PATH

unset OLDPATH
unset DEBIAN_OS
unset W2L_SRC
unset R

